Opened 9 years ago

Closed 9 years ago

Last modified 6 years ago

#1117 closed Enhancement (fixed)

compilation enhancements

Reported by: smasson Owned by: nemo
Priority: low Milestone:
Component: OCE Version: release-3.5
Severity: Keywords: 2012
Cc:

Description

in makenemo:

  • add list_key argument to print the complete list of the cpp keys available in a configuration
  • check the cpp keys provided in the cpp.fcm file to make sure they are all existing in the source code of the configuration used

in Fcheck_archfile.sh

  • possibility to define XIOS and/or OASIS include and libraries even they are not existing when key_iomput and/or key_oasis3 are not used. This allows us to define a unique arch file for all configuration using or not using XIOS and OASIS. This can easily be extended to other external libraries.
  • full evaluation of the $... variables using the unix syntaxe: $aaa, ${aaa}, $( whoami ), $(( 1 + 1 ))... Note that $(aaa) refers now to the unix command aaa and no more to the variable aaa. use $aaa or ${aaa} to refer to a variable.

in Flist_archfile.sh

  • list only arch files ending by fcm

I also moved all the arch files which were not containing any reference to XIOS into an ARCH/OLD directory. Please update your "old" arch files and move them back into the ARCH directory. Fill also free to recreate your local directories in the ARCH directory.

Commit History (5)

ChangesetAuthorTimeChangeLog
3937smasson2013-06-24T18:04:26+02:00

trunk:compilation enhancements, bugfix of changeset r3922, see ticket #1117

3925smasson2013-06-15T09:45:59+02:00

trunk:compilation enhancements, bugfix of changeset r3922, see ticket #1117

3924smasson2013-06-14T20:55:21+02:00

trunk:compilation enhancements, bugfix of changeset r3922, see ticket #1117

3923smasson2013-06-14T12:54:44+02:00

trunk:compilation enhancements, bugfix of changeset r3922, see ticket #1117

3922smasson2013-06-14T12:37:08+02:00

trunk:compilation enhancements, see ticket #1117

Change History (11)

comment:1 Changed 9 years ago by smasson

  • Resolution set to fixed
  • Status changed from new to closed

done in changeset r3922

comment:2 Changed 9 years ago by smasson

  • bugfix of syntaxe done in changeset r3923 and r3924
  • bugfix (1) check if more than 1 arch file with the same name is found and (2) if the configuration has been changed since the last compilation, see changeset r3925

comment:3 Changed 9 years ago by smasson

bugfix if cpp key are used with = sign (e.g. key_orca_r025==75) and add option -k to skip cpp key check, see changeset r3937

comment:4 Changed 8 years ago by smasson

additional bugfix in r4119, see #1166

comment:5 Changed 6 years ago by nicolasmartin

  • Keywords 2012 Interfaces Stream User added

comment:6 Changed 6 years ago by nicolasmartin

  • Keywords interfaces added; Interfaces removed

comment:7 Changed 6 years ago by nicolasmartin

  • Keywords user added; User removed

comment:8 Changed 6 years ago by nicolasmartin

  • Milestone 2012 Stream 1: User Interfaces deleted

Milestone 2012 Stream 1: User Interfaces deleted

comment:9 Changed 6 years ago by nicolasmartin

  • Keywords interfaces user added; UI removed

comment:10 Changed 6 years ago by nicolasmartin

  • Keywords interfaces removed

comment:11 Changed 6 years ago by nicolasmartin

  • Keywords user removed
Note: See TracTickets for help on using tickets.